local mode = 1;

if GAMESTATE:IsSideJoined(PLAYER_1) then
	local steps = GAMESTATE:GetCurrentSteps(PLAYER_1);
	if steps:GetMeter() < 7 then
		mode = 1;
	end;

	if steps:GetMeter() > 6 and steps:GetMeter() < 13 then
		mode = 2;
	end;

	if steps:GetMeter() > 12 then
		mode = 3;
	end;

elseif GAMESTATE:IsSideJoined(PLAYER_2) then
	local steps = GAMESTATE:GetCurrentSteps(PLAYER_2);
	if steps:GetMeter() < 7 then
		mode = 1;
	end;

	if steps:GetMeter() > 6 and steps:GetMeter() < 13 then
		mode = 2;
	end;

	if steps:GetMeter() > 12 then
		mode = 3;
	end;
end;

if mode == 1 then
	return LoadActor("SF232-wide-A.png")..{
		OnCommand=cmd(Center);
	}
end;

if mode == 2 then
	return LoadActor("SF232-wide-B.png")..{
		OnCommand=cmd(Center);
	}
end;

if mode == 3 then
	return LoadActor("SF232-wide-C.png")..{
		OnCommand=cmd(Center);
	}
end;

return LoadActor("SF232-wide-B.png")..{
	OnCommand=cmd(Center);
}

	